@import "critical.scss";
@import "searchbox.scss";

#search {
    margin: 1em 0;
}

header#error {
    background: #ffd800;
    @include dark {
        background: #7b0000;
        a:link {
            color: #fff;
        }
    }
}

#results {
    min-height: 75vh;
    > .inner-col {
        padding: 0;
    }
    .tryalso {
        padding: 0.5em;
        margin: 1em 0.5em;
        border: 1px solid #eee;
        @include dark {
            border: 1px solid #557;
            background: $dark-neutral-shade;
        }
        border-radius: 3px;
    }
    .notfound {
        padding-left: 0.5em;
        font-size: 2em;
        color: #666;
        @include dark {
            color: #bbc;
        }
    }
    ol {
        margin: 1em 0; padding: 0;
        list-style: none;
        > li {
            margin: 0; padding: 0;
        }
    }
    li > a {
        contain: style paint;
        display: block;
        overflow: hidden;
        padding: 1em;
        text-decoration: none;
        color: inherit;
        &:link h4 {
            color: var(--link-color);
        }
        &:visited h4 {
            color: var(--visited-link-color);
        }
        &:hover {
            background: lighten($neutral-shade, 30%);
            @include dark {
                background: lighten($dark-neutral-shade, 10%);
            }
            .desc {
                color: var(--text-color);
                @include dark {
                    color: lighten($dark-text-color, 5%);
                }
            }
            h4 {
                text-decoration: underline;
            }
            .meta {
                opacity: var(--gamma-opacity8);
            }
            .nightly {
                background: darken($blue-shade, 0%);
                border-color: darken($blue-shade, 10%);
                color: $inverted-text-color !important;
            }
        }
        > .h {
            line-height: 1.3;
            font-size: 1.05em;
            margin: 0 0 0.333em;
            text-wrap: balance;
        }
        h4, .desc {
            display: inline;
        }
        .desc {
            color: var(--text-color);
            font-weight: 400;
            code {
                border: 0;
            }
        }
        @media (max-width: 640px) {
            h4 {
                font-size: 1em;
            }
            .desc {
                font-size: 0.85em;
            }
        }
        h4 {
            font-size: 1.1em;
            margin: 0 0.5ex 0 0;
            font-weight: 500;
        }

    }
}

// this is dupe of categories! dedupe!

#results {
    .meta {
        font-size: 0.8em;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        color: lighten($text-color, 5%);
        @include dark {
            color: lighten($dark-text-color, 10%);
        }
    }
    .version, .k, .downloads, .labels > span {
        margin-right: 2ex;
    }
    .downloads {
        color: var(--text-color);
        @include dark {
            color: darken($dark-text-color, 10%);
        }
        b {
            color: var(--text-color);
            @include dark {
                color: darken($dark-text-color, 10%);
            }
            font-weight: normal;
            padding-left: 0.1ex;
        }
        &::before {
        content: "⬇︎";
        color: lighten($neutral-shade, 10%);
        @include dark {
            color: lighten($dark-neutral-shade, 40%);
        }
        margin: 0 0.25ex 0 0;
        text-decoration: underline;
        vertical-align: 7%;
        font-size: 0.8em
        }
    }
    .version {
        color: darken($red-shade, 2%);
        @include dark {
            color: var(--red-shade);
        }
        &.stable {
            color: darken($green-shade, 3%);
            @include dark {
                color: $green-shade;
            }
        }
        &.okay {
            color: darken($red-shade, 5%);
            @include dark {
                color: darken($red-shade, 5%);
            }
        }
        &.eek {
            color: lighten($red-shade, 20%);
            @include dark {
                color: lighten($red-shade, 20%);
            }
            font-weight: bold;
        }
        > span {
            opacity: var(--gamma-opacity6);
            padding-right: 0.1ex;
        }
    }
    .k {
        color: lighten($text-color, 40%);
        > span {
            opacity: var(--gamma-opacity);
            padding-right: 0.1ex;
        }
        font-weight: 300;
    }
    .labels > span {
        font-size: 0.9em;
        vertical-align: 3%;
        color: lighten($text-color, 40%);
        border: 1px solid lighten($text-color, 50%);
        border-radius: 3px;
        padding: 0 3px;

        &.nightly {
            color: darken($blue-shade, 00%);
            border-color: 1px solid lighten($text-color, 50%);
            @include dark {
                color: lighten($blue-shade, 40%);
                border-color: 1px solid lighten($dark-text-color, 50%)
            }
        }
    }
}
